// передача инфо  из табл "Расчет отпусков будущего периода" в промежут табл ndfl_info1.tmp  при выходе из таблицы
// вызов модуля из "Конец закрытия таблицы"__:
//       UnloadScriptModule("user\\Otp_ndfl_w");LoadScriptModule("user\\Otp_ndfl_w");return Dial_2(__AdrTable);  
//

 var CTabl = CreateObject("CurPrnTbl");




Dial_2(__AdrTable)
{
 CTabl.Initial(__AdrTable);

 int Write = 0;
 if (ESC==Panel_Zapros(" Передача информации в промежуточную таблицу НДФЛ с отпускных ","",
                        "Передать информацию (1-да): ",Write, 3)
                                                              ) return ESC;
 int WriOn = atoi(Write);

 if(WriOn)  ReadWritTabl();
}


ReadWritTabl()
{

 var SprTabl = CreateObject("CurPrnTbl");               // промежуточная таблица
 SprTabl.InitialNameFile("T_PROC\\ndfl_info1.tmp");     // для передачи информации
 SprTabl.Clear();                        
 int CurRcr = SprTabl.Count_Rcr()-1;                    // устанвливаем счетчик



 for (int zap=0; zap<CTabl.Count_Rcr(); zap++)
  {
    //string tn  = CTabl.TextS("C_FIO",zap);      
    int tn     = atoi(CTabl.TextS("C_FIO",zap));      
    string fio = CTabl.TextS("FIO",zap);  
    string dat = CTabl.TextS("Date",zap);  
    int ndfl = atoi(CTabl.TextS("Str_Vzn",zap));      


         SprTabl.Add_Rcr(CurRcr,1);
         //SprTabl.STextS("Order",CurRcr, static_cast_to_string(or));
         SprTabl.STextS("C_FIO",CurRcr, static_cast_to_string(tn));
         SprTabl.STextS("FIO",CurRcr, static_cast_to_string(fio));
         SprTabl.STextS("Str_Vzn",CurRcr, static_cast_to_string(ndfl));
         //SprTabl.STextS("Date",CurRcr, static_cast_to_string(datatek));
         SprTabl.STextS("Date",CurRcr, static_cast_to_string(dat));

         CurRcr++;
  }                                                  
     
     SprTabl.Del_Empty_Rcr();
     SprTabl.Rewrite();
}




